PUT api/Subscription/UpdateSubscription
Request Information
URI Parameters
None.
Body Parameters
PaymentSubscription| Name | Description | Type | Additional information |
|---|---|---|---|
| PaymentEnvironment | string |
None. |
|
| FirstName | string |
None. |
|
| LastName | string |
None. |
|
| string |
None. |
||
| CardNumber | string |
None. |
|
| SOFYUserID | globally unique identifier |
None. |
|
| ExpirationMonth | string |
None. |
|
| ExpirationYear | string |
None. |
|
| CCV | string |
None. |
|
| PlanID | string |
None. |
|
| LastTenBillingPeriods | Collection of date |
None. |
|
| gateway | BraintreeGateway |
None. |
|
| isSuccess | boolean |
None. |
|
| SubscriptionPlan | string |
None. |
|
| actionType | string |
None. |
|
| Duration | string |
None. |
|
| Name | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"PaymentEnvironment": "sample string 1",
"FirstName": "sample string 2",
"LastName": "sample string 3",
"Email": "sample string 4",
"CardNumber": "sample string 5",
"SOFYUserID": "f8cf5b9a-445a-4553-b901-af5380d231a2",
"ExpirationMonth": "sample string 7",
"ExpirationYear": "sample string 8",
"CCV": "sample string 9",
"PlanID": "sample string 10",
"LastTenBillingPeriods": [
"2026-03-15T22:48:22.9813942+00:00",
"2026-03-15T22:48:22.9813942+00:00"
],
"gateway": null,
"isSuccess": true,
"SubscriptionPlan": "sample string 12",
"actionType": "sample string 13",
"Duration": "sample string 14",
"Name": "sample string 15"
}
application/xml, text/xml
Sample:
<PaymentSubscription xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SofyWebApi">
<CCV>sample string 9</CCV>
<CardNumber>sample string 5</CardNumber>
<Duration>sample string 14</Duration>
<Email>sample string 4</Email>
<ExpirationMonth>sample string 7</ExpirationMonth>
<ExpirationYear>sample string 8</ExpirationYear>
<FirstName>sample string 2</FirstName>
<LastName>sample string 3</LastName>
<LastTenBillingPeriods xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:dateTime>2026-03-15T22:48:22.9813942+00:00</d2p1:dateTime>
<d2p1:dateTime>2026-03-15T22:48:22.9813942+00:00</d2p1:dateTime>
</LastTenBillingPeriods>
<Name>sample string 15</Name>
<PaymentEnvironment>sample string 1</PaymentEnvironment>
<PlanID>sample string 10</PlanID>
<SOFYUserID>f8cf5b9a-445a-4553-b901-af5380d231a2</SOFYUserID>
<SubscriptionPlan>sample string 12</SubscriptionPlan>
<actionType>sample string 13</actionType>
<gateway xmlns:d2p1="http://schemas.datacontract.org/2004/07/Braintree" i:nil="true" />
<isSuccess>true</isSuccess>
</PaymentSubscription>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |